-- COMMUNE.sql
--
--   This script creates the spatial table.
--
--   Execute this script before attempting to use SQL*Loader
--   to load the COMMUNE.ctl file.
--
--   This script will also populate the USER_SDO_GEOM_METADATA table.
--   Loading the .ctl file will populate the COMMUNE table.
--
--   To load the .ctl file, run SQL*Loader as follows
--   substituting appropriate values:
--       sqlldr username/password COMMUNE.ctl
--
--   After the data is loaded in the COMMUNE table, you should
--   migrate polygon data and create the spatial index 
--
-- Creation Date : Fri Jul 24 09:08:09 2009
-- Copyright 1999, 2004 Oracle Corporation
-- All rights reserved
--
DROP TABLE COMMUNE;

CREATE TABLE COMMUNE (
  KEY_1 	NUMBER, 
  INSEE 	NUMBER, 
  GEOMETRY 	MDSYS.SDO_GEOMETRY);

DELETE FROM USER_SDO_GEOM_METADATA 
  WHERE TABLE_NAME = 'COMMUNE' AND COLUMN_NAME = 'GEOMETRY' ;

INSERT INTO USER_SDO_GEOM_METADATA (TABLE_NAME, COLUMN_NAME, DIMINFO, SRID) 
  VALUES ('COMMUNE', 'GEOMETRY', 
    MDSYS.SDO_DIM_ARRAY 
      (MDSYS.SDO_DIM_ELEMENT('X', 910000.000000000, 1050000.000000000, 0.001000000), 
       MDSYS.SDO_DIM_ELEMENT('Y', 50000.000000000, 180000.000000000, 0.001000000)  
     ), 
     41013); 
COMMIT;
EXIT;
